import { jwtDecode } from "jwt-decode";
import { store } from "@/main";

type TokenPayload = {
    realm_access?: {
        roles?: string[];
    };
};

function isAdmin(): boolean {
    if (store.authenticated && store.user.token) {
        const decoded = jwtDecode<TokenPayload>(store.user.token);
        const roles = decoded.realm_access?.roles || [];
        if (roles.includes("MyINPulse-admin")) {
            return true;
        } else {
            return false;
        }
    } else {
        return false;
    }
}

export { isAdmin };
